Skip to content

Disbursements Status

This endpoint is used to check the status of a disbursement request by its reference ID.

Endpoint

GET https://api.lipila.dev/api/v1/disbursements/check-status

Query Parameters

The following query parameter is accepted.

ParameterTypeDescriptionRequired
referenceIdstringUnique reference identifier of the disbursement transactionYes

Headers

The following header is accepted.

HeaderTypeDescriptionRequired
acceptapplication/jsonExpected response formatYes

Example Request

bash
curl -X 'GET' \
  'https://api.lipila.dev/api/v1/disbursements/check-status?referenceId=6e807106-3803-4908-8cd4-c79d0b107404' \
  -H 'accept: application/json' \
  -H 'x-api-key: your_secret_key'
python
import requests

url = "https://api.lipila.dev/api/v1/disbursements/check-status"

headers = {
    "accept": "application/json",
    "x-api-key": "your_secret_key"
}

params = {
    "referenceId": "6e807106-3803-4908-8cd4-c79d0b107404"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
csharp
using System.Net.Http;

var client = new HttpClient();

client.DefaultRequestHeaders.Add("accept", "application/json");
client.DefaultRequestHeaders.Add("x-api-key", "your_secret_key");

var response = await client.GetAsync(
    "https://api.lipila.dev/api/v1/disbursements/check-status?referenceId=6e807106-3803-4908-8cd4-c79d0b107404"
);

Console.WriteLine(await response.Content.ReadAsStringAsync());
javascript
const params = new URLSearchParams({
  referenceId: "6e807106-3803-4908-8cd4-c79d0b107404",
});

const response = await fetch(
  `https://api.lipila.dev/api/v1/disbursements/check-status?${params}`,
  {
    method: "GET",
    headers: {
      accept: "application/json",
      "x-api-key": "your_secret_key",
    },
  },
);

const data = await response.json();
console.log(data);
php
<?php

$url = "https://api.lipila.dev/api/v1/disbursements/check-status?" . http_build_query([
    "referenceId" => "6e807106-3803-4908-8cd4-c79d0b107404"
]);

$headers = [
    "accept: application/json",
    "x-api-key: your_secret_key"
];

$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPGET, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);

$response = curl_exec($ch);
curl_close($ch);

echo $response;

Example Successful Response

Below is an example successful response.

HTTP Status CodeDescription
200Status check Successful
bash

{
  "referenceId": "046b3b664c35",
  "currency": "ZMW",
  "amount": 0.2,
  "accountNumber": "260xxxxxxxxxx",
  "status": "Successful",
  "paymentType": "ZamtelKwacha",
  "type": "Disbursement",
  "ipAddress": "::1",
  "identifier": "LPLTXNDZK-20250819104104-EF4D8905AAC1",
  "externalId": "MP251003.1252.C0324",
  "message": "Process service request successfully."
}

Error Codes

HTTP Status CodeError CodeDescription
400BAD REQUESTMissing or invalid request parameters
401UNAUTHORIZEDMissing or invalid API authentication
403FORBIDDENAccess denied to this resource
429TOO MANY REQUESTSRate limit exceeded, slow down requests

Released under the MIT License.